Bug 14505 - unable to telnet from machines without reverse resolving
Summary: unable to telnet from machines without reverse resolving
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-24 07:06 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 18:32:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-07-24 07:06:46 UTC
Vanilla redhat 6.2 with openldap and nss_ldap.
When telnetting to the server from a pc which doesn't have reverse address
in the dns it disconnects after a password.
There's no details in the log.
tcp_wrappers (tcpd) are NOT used.
Attaching strace to the inetd (-f -p) shows that the process /bin/login
which is passed parameters: -h 10.0.0.1 -p and environment which consists
of REMOTEHOST=10.0.0.1 and TERM=xterm dies with SEGMENTATION FAULT.
The 10.0.0.1 is the address of the client.
/etc/nsswitch.conf lists ldap in passwd, group, shadow, NOT hosts.
/etc/resolv.conf, /etc/host.conf are simple and usual. I was able to
reproduce it on freshly installed system.
pam and openldap are updated to ones from updates.
all components are from redhat.com
This is exteremely annoying bug.

Comment 1 keith.moore 2000-08-17 12:23:25 UTC
Does this only happen with LDAP installed?

-- Keith Moore


Comment 2 Erik Troan 2001-02-08 01:02:26 UTC
Does this happen with 7.0 as well?


Note You need to log in before you can comment on or make changes to this bug.